Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 05 May 2021 05:20:38 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have an order. I missed twice the delivery. 1st deliver the deliver man did not call me I was surprised I got the message that I missed the delivery. The second one is the delivery man called me but it was May 1 Labor Day I was not in the shop so I told the delivery man to deliver the next day. I was waiting but no parcel came. I called the hotline of centerpoint bahrain city center for follow up because I can’t track my order anymore and she said... rejected by the one who ordered and infact I did not! I called the delivery man why like that he said what’s the problem just order it again! What a hassle! How many times I did my order online here.. Kindly tell the courier to do their job well.. thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2502021